Conferma l'iscrizione di un ospite (dal link nell'e-mail)
POST
/v1/registrations/confirm
const url = 'https://api.vimine.network/v1/registrations/confirm';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/registrations/confirm \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'Consuma il token contenuto nel link di conferma: un tipo gratuito viene confermato (la risposta porta il token del QR), uno a pagamento resta riservato per il periodo di riserva previsto dall’evento e la risposta porta payment_instructions. Idempotente alla ripetizione.
Corpo della richiestaobbligatorio
Sezione intitolata “Corpo della richiestaobbligatorio”Tipo di contenutoapplication/json
object
token
obbligatorio
string
Esempiogenerato
{ "token": "example"}Risposte
Sezione intitolata “Risposte”L’iscrizione
Tipo di contenutoapplication/json
object
id
string formato: uuid
status
string
event
object
id
string
slug
string
title
string
starts_at
string formato: date-time
ends_at
string formato: date-time
timezone
string
status
string
location
string
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string formato: date-time
checked_in_at
string formato: date-time
cancelled_at
string formato: date-time
cancel_reason
string
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string formato: date-time
payment_instructions
Come versare il contributo finché l’iscrizione è riservata
string
note
Testo libero scritto dalla persona. Nascosto (null) ai client di terze parti quando l’associazione ha dichiarato di trattare categorie particolari di dati
string
created_at
string formato: date-time
token
Il contenuto del QR dell’iscrizione (vmt_…), solo per le iscrizioni confermate
string
Esempio
{ "status": "reserved"}Il link non è valido o è scaduto (invalid_token)
Non trovato
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}L’iscrizione non è più attiva o l’evento è stato annullato
Troppe richieste
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Errore interno
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}